'use strict';

var batcher = require('./batcher.js');
var noop = require('../../../../../../motion-utils@12.36.0/node_modules/motion-utils/dist/es/noop.js');

const { schedule: frame, cancel: cancelFrame, state: frameData, steps: frameSteps, } = /* @__PURE__ */ batcher.createRenderBatcher(typeof requestAnimationFrame !== "undefined" ? requestAnimationFrame : noop.noop, true);

exports.cancelFrame = cancelFrame;
exports.frame = frame;
exports.frameData = frameData;
exports.frameSteps = frameSteps;
